/*
 *--- PSelectExtend.h ------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Thu, Oct 12, 1995 @ 11:31 PM by Paul Ferguson.
 *
 * Description: This implements a select command.  You can
 * select by either x,y coordinates, or by drawing order.  The
 * two constructors implement these two options.
 *-------------------------------------------------------------------------
 */

#include "PCommand.h"
#include "PRequestBuf.h"
#include "PSelectExtend.h"

PSelectExtend::PSelectExtend(long x, long y)
{
	DoSelect(0, x, y);
}

PSelectExtend::PSelectExtend(long drawOrder)
{
	DoSelect(1, drawOrder, 0L);
}

void PSelectExtend::DoSelect(short nSelect, long x, long y)
{
	char temp[20];
	PRequestBuf request(temp);
	
	request << nSelect << x << y;
	
	PCommand command(pm_selectextend, request);
}

// end of PSelectExtend.h
